[MSVC2015/Cycles] MSVC2015 before update 3 produce invalid builds
authorRay Molenkamp <github@lazydodo.com>
Mon, 18 Jul 2016 13:24:46 +0000 (15:24 +0200)
committerSergey Sharybin <sergey.vfx@gmail.com>
Mon, 18 Jul 2016 13:26:52 +0000 (15:26 +0200)
I'm not quite sure where the codegen bug gets triggered but it's easily
noticeable in the barcelona scene. (extra saturated leafs and illumination
on the right ledge of the pool)

2013 buildbot reference image:
{F320792}

2015 With no updates (compiler version 19.00.23026)
{F320793}

2015 With Update 2 (Compiler version 19.00.23918)
{F320794}

2015 With Update 3 (Compiler version 19.00.24210)
{F320795}

This patch blocks all compiler builds before update 3 in a similar way we
did for msvc 2013 update 4

Reviewers: campbellbarton, brecht, juicyfruit

Reviewed By: juicyfruit

Tags: #bf_blender

Differential Revision: https://developer.blender.org/D2100

CMakeLists.txt

index 59ddd978c41ebd34746c5403366fb3581ea525aa..1dfa838a5a20df507ddd5240c1b2da34d630c546 100644 (file)
@@ -1283,11 +1283,21 @@ elseif(WIN32)
 
        if(MSVC)
                # Minimum MSVC Version
-               set(_min_ver "18.0.31101")
-               if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS ${_min_ver})
-                       message(FATAL_ERROR
-                               "Visual Studio 2013 (Update 4, ${_min_ver}) required, "
-                               "found (${CMAKE_CXX_COMPILER_VERSION})")
+               if(MSVC_VERSION EQUAL 1800)
+                       set(_min_ver "18.0.31101")
+                       if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS ${_min_ver})
+                               message(FATAL_ERROR
+                                       "Visual Studio 2013 (Update 4, ${_min_ver}) required, "
+                                       "found (${CMAKE_CXX_COMPILER_VERSION})")
+                       endif()
+               endif()
+               if(MSVC_VERSION EQUAL 1900)
+                       set(_min_ver "19.0.24210")
+                       if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS ${_min_ver})
+                               message(FATAL_ERROR
+                                       "Visual Studio 2015 (Update 3, ${_min_ver}) required, "
+                                       "found (${CMAKE_CXX_COMPILER_VERSION})")
+                       endif()
                endif()
                unset(_min_ver)